
import java.sql.*;

public class JdbcMetaDataGettables {

    static public final String driver = "com.mysql.jdbc.Driver";
    static public final String connection =
            "jdbc:mysql://localhost:3306/komal";
    static public final String user = "root";
    static public final String password = "root";

    public static void main(String args[]) {

        try {
            Class.forName(driver);
            Connection con =
                    DriverManager.getConnection(connection, user, password);

            Statement st = con.createStatement();

            String sql = "select * from person";
            ResultSet rs = st.executeQuery(sql);
            ResultSetMetaData metaData = rs.getMetaData();

            int rowCount = metaData.getColumnCount();

            System.out.println("Table Name : " + metaData.getTableName(2));
            System.out.println("Field  \tsize\tDataType");

            for (int i = 0; i < rowCount; i++) {
                System.out.print(metaData.getColumnName(i + 1) + "  \t");
                System.out.print(metaData.getColumnDisplaySize(i + 1) + "\t");
                System.out.println(metaData.getColumnTypeName(i + 1));
            }

        } catch (Exception e) {
            System.out.println(e);
        }
    }
}
